package com.ruoyi.dxp.dto.redis;

import java.io.Serializable;

/**
 * 资源对象
 */
public class RedisResourceDto<T> implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 用户访问id */
    private String accessId;

    /** 资源名称 */
    private String resName;

    /** 资源类型：service,data */
    private String resType;

    private String format;

    private Long dayLimit;

    private Integer isSubscribe;

    private String subscribeUrl;

    private String addField;

    private String pageField;

    private String pageSizeField;

    private String searchField;

    private RedisApplicationDto application;

    /** 资源数据 */
    private T resData;

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getResName() {
        return resName;
    }

    public void setResName(String resName) {
        this.resName = resName;
    }

    public String getResType() {
        return resType;
    }

    public void setResType(String resType) {
        this.resType = resType;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public Long getDayLimit() {
        return dayLimit;
    }

    public void setDayLimit(Long dayLimit) {
        this.dayLimit = dayLimit;
    }

    public Integer getIsSubscribe() {
        return isSubscribe;
    }

    public void setIsSubscribe(Integer isSubscribe) {
        this.isSubscribe = isSubscribe;
    }

    public String getSubscribeUrl() {
        return subscribeUrl;
    }

    public void setSubscribeUrl(String subscribeUrl) {
        this.subscribeUrl = subscribeUrl;
    }

    public String getAddField() {
        return addField;
    }

    public void setAddField(String addField) {
        this.addField = addField;
    }

    public T getResData() {
        return resData;
    }

    public void setResData(T resData) {
        this.resData = resData;
    }

    public RedisApplicationDto getApplication() {
        return application;
    }

    public void setApplication(RedisApplicationDto application) {
        this.application = application;
    }

    public String getPageField() {
        return pageField;
    }

    public void setPageField(String pageField) {
        this.pageField = pageField;
    }

    public String getPageSizeField() {
        return pageSizeField;
    }

    public void setPageSizeField(String pageSizeField) {
        this.pageSizeField = pageSizeField;
    }

    public String getSearchField() {
        return searchField;
    }

    public void setSearchField(String searchField) {
        this.searchField = searchField;
    }
}
